For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get Payout Account

Get Payout Account

get
Path parameters
account_typestringRequired
account_idinteger · int32Required
Query parameters
extendedbooleanOptionalDefault: false
app_idinteger · int32Optional

App ID used to target the target payout account for merchant account types

payment_platform_connection_idinteger · int64Optional

PaymentPlatformConnection ID to target a specific platform's payout account. Required for multi-platform developers with multiple active payout accounts per merchant.

platform_codestringOptional

Platform code (e.g., SHOPIFY, BIGCOMMERCE) to target a specific platform's payout account. Alternative to payment_platform_connection_id for multi-platform developers.

Header parameters
X-Violet-TokenstringRequired
X-Violet-App-SecretstringRequired
X-Violet-App-Idinteger · int32Required
Responses
default

default response

application/json

Violet Payout Account that stores underlying payment provider account information to be used for disbursing funds during Order processing.

idinteger · int32Optional

Unique identifier for the object

account_typestring · enumOptional

Type of the account entity in Violet. This is either DEVELOPER or MERCHANT.

Possible values:
account_idinteger · int32Optional

Identifier of the account entity in Violet. This is either the Violet developer or merchant identifier.

merchant_idinteger · int32Optional

Identifier of the merchant entity in Violet.

app_idinteger · int32Optional

Identifier of the app entity in Violet that this Payout Account is associated with.

payment_platform_connection_idinteger · int64 · nullableRead-onlyOptional

Identifier of the PaymentPlatformConnection this payout account is scoped to. For multi-platform developers, each platform connection has its own payout account. Null for legacy single-platform payout accounts.

credential_idinteger · int64 · nullableRead-onlyOptional

Identifier of the credential used by the PaymentPlatformConnection at the time this payout account was created. Used for audit and credential resolution.

is_activebooleanOptional

Field that denotes whether or not this Payout Account is active and being used for transactions. Only one Payout Account may be active for a merchant-app-connection combination at a given point in time.

country_codestringOptional

Two-letter country code of the bank that this Payout Account is associated to.

payment_providerstring · enumOptional

Payment Provider that the underlying payout account was created in. This is the provider that handles payment and payout processing for this entity.

Possible values:
payment_provider_account_idstringOptional

Identifier of the payout account in the payment provider system.

payment_provider_account_typestring · enumOptional

Type of account in the external payment provider. This field may not be present if the underlying payment provider does not have multiple account types.

Possible values:
payment_provider_accountobjectOptional

Details about the underlying payout account in the payment provider.

date_deactivatedstring · date-timeOptional

Time at which this payout account was deactivated. In ISO-8601 format.

date_createdstring · date-timeOptional

Time at which the object was created. In ISO-8601 format.

date_last_modifiedstring · date-timeOptional

Time at which the object was last modified. In ISO-8601 format.

get/payments/{account_type}/{account_id}/payout_account
default

default response

Last updated

Was this helpful?